/*
 * Copyright 2013 Daniel Kurka
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
package com.googlecode.gwtphonegap.client.inappbrowser;

import com.google.gwt.event.shared.GwtEvent;

public class LoadStopEvent extends GwtEvent<LoadStopHandler> {

  private static final GwtEvent.Type<LoadStopHandler> TYPE = new Type<LoadStopHandler>();

  public static GwtEvent.Type<LoadStopHandler> getType() {
    return TYPE;
  }

  private final String url;

  public LoadStopEvent(String url) {
    this.url = url;

  }

  @Override
  public com.google.gwt.event.shared.GwtEvent.Type<LoadStopHandler> getAssociatedType() {
    return TYPE;
  }

  @Override
  protected void dispatch(LoadStopHandler handler) {
    handler.onLoadStop(this);

  }

  public String getUrl() {
    return url;
  }

}
